CreateBoxBuilder Class

class NXOpen.Tooling.CreateBoxBuilder

Bases: NXOpen.Builder

Represents a box creation operation

To create a new instance of this class, use NXOpen.Tooling.CreateBoxCollection.CreateBoxBuilder()

Default values.

Property Value
Clearance.Value 1.0 (millimeters part), 0.1 (inches part)
OffsetNegativeX.Value 1.0 (millimeters part), 0.1 (inches part)
OffsetNegativeY.Value 1.0 (millimeters part), 0.1 (inches part)
OffsetNegativeZ.Value 1.0 (millimeters part), 0.1 (inches part)
OffsetPositiveX.Value 1.0 (millimeters part), 0.1 (inches part)
OffsetPositiveY.Value 1.0 (millimeters part), 0.1 (inches part)
OffsetPositiveZ.Value 1.0 (millimeters part), 0.1 (inches part)
XValue.Value 10 (millimeters part), 1.0 (inches part)
YValue.Value 10 (millimeters part), 1.0 (inches part)
ZValue.Value 10 (millimeters part), 1.0 (inches part)

New in version NX8.0.0.

Properties

Property Description
BoxColor Returns or sets the box color.
Clearance Returns the clearance value for box in six directions.
Objects Returns the objects used for bounding box creation.
OffsetNegativeX Returns the offset value for box in -X direction.
OffsetNegativeY Returns the offset value for box in -Y direction.
OffsetNegativeZ Returns the offset value for box in -Z direction.
OffsetPositiveX Returns the offset value for box in +X direction.
OffsetPositiveY Returns the offset value for box in +Y direction.
OffsetPositiveZ Returns the offset value for box in +Z direction.
Tag Returns the Tag for this object.
Type Returns or sets the box type.
XValue Returns the edge length in X direction for general box.
YValue Returns the edge length in Y direction for general box.
ZValue Returns the edge length in Z direction for general box.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
ConvertFrecToBuilderData Convert feature record data to builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetBoxCsysPosition Gets point position of csys for box.
GetBoxFeatTag Gets kf box feature tag.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
SetBoxColorValue Sets box color.
SetBoxCsysPosition Sets point position of csys for box.
SetBoxMatrixAndPosition Sets box csys matrix.
SetSelectedOccs Sets selected object occurrences.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

CreateBoxBuilderBoxType Enumeration the type for creating box

Property Detail

BoxColor

CreateBoxBuilder.BoxColor

Returns or sets the box color.

-------------------------------------

Getter Method

Signature BoxColor

Returns:
Return type:int

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

-------------------------------------

Setter Method

Signature BoxColor

Parameters:colorValue (int) –

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”) OR studio_free_form (“STUDIO FREE FORM”) OR features_modeling (“FEATURES MODELING”) OR solid_modeling (“SOLIDS MODELING”)

Clearance

CreateBoxBuilder.Clearance

Returns the clearance value for box in six directions.

-------------------------------------

Getter Method

Signature Clearance

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Objects

CreateBoxBuilder.Objects

Returns the objects used for bounding box creation.

-------------------------------------

Getter Method

Signature Objects

Returns:
Return type:NXOpen.ScCollector

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

OffsetNegativeX

CreateBoxBuilder.OffsetNegativeX

Returns the offset value for box in -X direction.

-------------------------------------

Getter Method

Signature OffsetNegativeX

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

OffsetNegativeY

CreateBoxBuilder.OffsetNegativeY

Returns the offset value for box in -Y direction.

-------------------------------------

Getter Method

Signature OffsetNegativeY

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

OffsetNegativeZ

CreateBoxBuilder.OffsetNegativeZ

Returns the offset value for box in -Z direction.

-------------------------------------

Getter Method

Signature OffsetNegativeZ

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

OffsetPositiveX

CreateBoxBuilder.OffsetPositiveX

Returns the offset value for box in +X direction.

-------------------------------------

Getter Method

Signature OffsetPositiveX

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

OffsetPositiveY

CreateBoxBuilder.OffsetPositiveY

Returns the offset value for box in +Y direction.

-------------------------------------

Getter Method

Signature OffsetPositiveY

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

OffsetPositiveZ

CreateBoxBuilder.OffsetPositiveZ

Returns the offset value for box in +Z direction.

-------------------------------------

Getter Method

Signature OffsetPositiveZ

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Type

CreateBoxBuilder.Type

Returns or sets the box type.

-------------------------------------

Getter Method

Signature Type

Returns:
Return type:NXOpen.Tooling.CreateBoxBuilderBoxType

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

-------------------------------------

Setter Method

Signature Type

Parameters:type (NXOpen.Tooling.CreateBoxBuilderBoxType) –

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”) OR studio_free_form (“STUDIO FREE FORM”) OR features_modeling (“FEATURES MODELING”) OR solid_modeling (“SOLIDS MODELING”)

XValue

CreateBoxBuilder.XValue

Returns the edge length in X direction for general box.

-------------------------------------

Getter Method

Signature XValue

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

YValue

CreateBoxBuilder.YValue

Returns the edge length in Y direction for general box.

-------------------------------------

Getter Method

Signature YValue

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

ZValue

CreateBoxBuilder.ZValue

Returns the edge length in Z direction for general box.

-------------------------------------

Getter Method

Signature ZValue

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Method Detail

ConvertFrecToBuilderData

CreateBoxBuilder.ConvertFrecToBuilderData

Convert feature record data to builder.

Signature ConvertFrecToBuilderData(featTag)

Parameters:featTag (NXOpen.NXObject) – bounding box kf feature tag

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”) OR studio_free_form (“STUDIO FREE FORM”) OR features_modeling (“FEATURES MODELING”) OR solid_modeling (“SOLIDS MODELING”)

GetBoxCsysPosition

CreateBoxBuilder.GetBoxCsysPosition

Gets point position of csys for box.

Signature GetBoxCsysPosition()

Returns:
Return type:NXOpen.Point3d

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

GetBoxFeatTag

CreateBoxBuilder.GetBoxFeatTag

Gets kf box feature tag.

Signature GetBoxFeatTag()

Returns:bounding box kf feature
Return type:NXOpen.NXObject

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

SetBoxColorValue

CreateBoxBuilder.SetBoxColorValue

Sets box color.

Signature SetBoxColorValue(value)

Parameters:value (NXOpen.Point3d) –

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”) OR studio_free_form (“STUDIO FREE FORM”) OR features_modeling (“FEATURES MODELING”) OR solid_modeling (“SOLIDS MODELING”)

SetBoxCsysPosition

CreateBoxBuilder.SetBoxCsysPosition

Sets point position of csys for box.

Signature SetBoxCsysPosition(value)

Parameters:value (NXOpen.Point3d) –

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”) OR studio_free_form (“STUDIO FREE FORM”) OR features_modeling (“FEATURES MODELING”) OR solid_modeling (“SOLIDS MODELING”)

SetBoxMatrixAndPosition

CreateBoxBuilder.SetBoxMatrixAndPosition

Sets box csys matrix.

Signature SetBoxMatrixAndPosition(matrix, position)

Parameters:

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”) OR studio_free_form (“STUDIO FREE FORM”) OR features_modeling (“FEATURES MODELING”) OR solid_modeling (“SOLIDS MODELING”)

SetSelectedOccs

CreateBoxBuilder.SetSelectedOccs

Sets selected object occurrences.

Signature SetSelectedOccs(selections, deselections)

Parameters:

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR prog_die_wizard (“UG/Progressive Die Wizard”) OR studio_free_form (“STUDIO FREE FORM”) OR features_modeling (“FEATURES MODELING”) OR solid_modeling (“SOLIDS MODELING”)

Validate

CreateBoxBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.